Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228105 - Can not boot on system that requires pata_via
Summary: Can not boot on system that requires pata_via
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On: 218444
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 23:40 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 13:20:57 UTC


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2007-02-09 23:40:58 UTC
Description of problem:

Can not boot on system that requires pata_via.

It complains about missing /dev/root, drops me into an emergency shell, asking
for manual link creation. However, /dev does not contain the CD device.

This is probably related to bug 220470 and/or bug 218444.

The particular system requires the pata_via kernel module in order to access the
CD drive, which is not contained in the livecd-initramfs.img. Actually I don't
see any pata modules listed.

Should the LiveCD include more device driver kernel modules, in order to allow
booting from as many systems as possible?

Version-Release number of selected component (if applicable):
Fedora 7 Test 1 LiveCD 2007-02-01

Comment 1 Kai Engert (:kaie) (inactive account) 2007-03-02 13:20:57 UTC
Whatever has caused the problem in test 1...

The Test 2 Live CD boots fine on my system.

Closing as WORKSFORME

Comment 2 Bill Nottingham 2007-03-02 17:41:20 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.